Summary: A graphical interface for modifying the rootpassword
Name: redhat-config-rootpassword
Version: 1.0.6
Release: 1
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils
BuildRequires: gettext
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Requires: libuser >= 0.49
Requires: rhpl

%description
redhat-config-rootpassword is a graphical user interface that allows 
the user to change the root password of the system.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-rootpassword.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-rootpassword ] ; then
  rm -rf /usr/share/redhat-config-rootpassword/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
#%doc COPYING
#%doc doc/*
/usr/bin/redhat-config-rootpassword
%dir /usr/share/redhat-config-rootpassword
%dir /usr/share/redhat-config-rootpassword/pixmaps
/usr/share/redhat-config-rootpassword/*
%dir /usr/share/firstboot/
%dir /usr/share/firstboot/modules
/usr/share/firstboot/modules/rootpassword.py
#%attr(0644,root,root) %{_mandir}/man8/redhat-config-rootpassword*
#%attr(0644,root,root) %{_mandir}/ja/man8/redhat-config-rootpassword*
%attr(0644,root,root) %{_datadir}/applications/redhat-config-rootpassword.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-rootpassword
%attr(0644,root,root) %config /etc/pam.d/redhat-config-rootpassword

%changelog
* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.6-1
- add Requires for rhpl (bug #104216)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.5-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- add a BuildRequires on gettext

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.3-2
- bump relnum and rebuild

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- use rhpl's translation modules

* Fri Mar  7 2003 Brent Fox <bfox@redhat.com> 1.0.2-6
- bump rev for 3.0E

* Fri Feb 28 2003 Brent Fox <bfox@redhat.com> 1.0.2-5
- catch gtk import exception (bug #85348)

* Thu Feb 20 2003 Brent Fox <bfox@redhat.com> 1.0.2-4
- update translations in desktop files

* Tue Feb 11 2003 Brent Fox <bfox@redhat.com> 1.0.2-3
- check return value of self.apply()

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.2-2
- fix desktop file icon path

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.2-1
- bump and build

* Tue Jan 28 2003 Brent Fox <bfox@redhat.com> 1.0.1-5
- install pixmap to correct location
- make code more similar to firstboot in launch()

* Fri Nov 15 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- fix bug 77932

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Pam path changes

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- rebuild for translations

* Mon Aug 26 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- connect window to destroy signal

* Mon Aug 19 2002 Brent Fox <bfox@redhat.com> 1.0-1
- Make desktop file UTF-8 encoded

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- pull translations into desktop file

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-2
- Replace System with SystemSetup in desktop file categories

* Tue Aug 06 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Set a window title

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- got a new icon

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fixed desktop file (bug #69481)

* Fri Jul 19 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- pulled in new translations and rebuild

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- init doDebug

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Move the debug parameter to launch
- Add snapsrc to Makefile
	
* Tue May 14 2002 Brent Fox <bfox@redhat.com> 0.2.0-3
- Added a debug mode

* Mon May 13 2002 Brent Fox <bfox@redhat.com>
- Don't call gtk.mainquit() in apply

* Tue Nov 28 2001 Brent Fox <bfox@redhat.com>
- initial coding and packaging

